Loading...
Searching...
No Matches
Opm::ParserItem Class Reference

## Public Types

enum class | item_size { ALL , SINGLE }
enum class | itype { UNKNOWN , DOUBLE , INT , STRING , RAW_STRING , UDA , CODE }

## Public Member Functions

std::string | type_literal () const
| ParserItem (const std::string &name, ParserItem::itype input_type)
| ParserItem (const Json::JsonObject &jsonConfig)
void | push_backDimension (const std::string &)
const std::vector< std::string > & | dimensions () const
const std::string & | name () const
item_size | sizeType () const
type_tag | dataType () const
void | setSizeType (item_size size_type)
const std::string & | getDescription () const
bool | scalar () const
void | setDescription (const std::string &helpText)
template<typename T>
void | setDefault (T)
void | setInputType (itype input_type)
bool | parseRaw () const
bool | hasDefault () const
template<typename T>
const T & | getDefault () const
bool | operator== (const ParserItem &) const
bool | operator!= (const ParserItem &) const
DeckItem | scan (RawRecord &rawRecord, UnitSystem &active_unitsystem, UnitSystem &default_unitsystem) const
| Scans the records data according to the ParserItems definition.
std::string | size_literal () const
const std::string & | className () const
std::string | createCode (const std::string &indent) const
std::ostream & | inlineClass (std::ostream &, const std::string &indent) const
std::string | inlineClassInit (const std::string &parentClass, const std::string *defaultValue=nullptr) const

## Static Public Member Functions

static item_size | size_from_string (const std::string &)
static std::string | string_from_size (item_size)
static itype | from_string (const std::string &string_value)
static std::string | to_string (itype input_type)

## Friends

std::ostream & | operator<< (std::ostream &stream, const ParserItem &item)

## Member Function Documentation

## scan()

DeckItem Opm::ParserItem::scan | ( | RawRecord & | record,
|  | UnitSystem & | active_unitsystem,
|  | UnitSystem & | default_unitsystem ) const

Scans the records data according to the ParserItems definition.

returns a DeckItem object. NOTE: data are popped from the records deque!

The documentation for this class was generated from the following files:

- opm/input/eclipse/Parser/ParserItem.hpp
- opm/input/eclipse/Parser/ParserItem.cpp